Bug 1638979 - nothing provides erlang-bbmustache(x86-64) needed by erlang-relx-3.26.0-1.fc30.x86_64
Summary: nothing provides erlang-bbmustache(x86-64) needed by erlang-relx-3.26.0-1.fc3...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-relx
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1638743
TreeView+ depends on / blocked
 
Reported: 2018-10-13 18:07 UTC by Randy Barlow
Modified: 2018-10-15 07:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-15 07:08:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2018-10-13 18:07:24 UTC
Description of problem:
It looks like erlang-bbmustache is a noarch package, but that perhaps it used to be an archful package when the most recent build of erlang-relx was made.

The fix is easy though - we just need to rebuild erlang-relx against the noarch bbmustache so it picks up the noarch version of the requires.


Version-Release number of selected component (if applicable):
erlang-relx-3.26.0-1.fc30.x86_64

Comment 1 Randy Barlow 2018-10-13 18:11:22 UTC
It looks like relx itself could also be a good candidate for conversion to noarch, though it will likewise require its dependent packages to be rebuilt.

Comment 2 Randy Barlow 2018-10-13 18:13:32 UTC
Ah, looks like relx doesn't have any dependent packages, so we could just convert it to noarch and the act of that rebuild would make it pick up the noarch bbmustache too. I'll send you a PR for that.

Comment 4 Timothée Floure 2018-10-13 18:41:11 UTC
How can an erlang package be noarch since the beam files live under %{_libdir} (which is arch-specific)?

Comment 5 Timothée Floure 2018-10-13 20:34:53 UTC
I mean: how does it play with `/usr/lib64/erlang` on my x86_64 system? Peter's guideline [0] uses arch-dependent packages, did something change recently allowing us to package erlang librairies as noarch?

[0] https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines

Comment 6 Randy Barlow 2018-10-14 20:23:53 UTC
Starting with Fedora 29 Erlang packages can also go into /usr/share/erlang:

https://fedoraproject.org/wiki/Changes/TrueNoarchErlangPackages

I would not recommend changing any Fedora 29 packages at this point, but it's OK to do on Rawhide. The macros will automatically put the lib in the right place if it's a noarch.

Comment 7 Timothée Floure 2018-10-15 07:08:20 UTC
erlang-relx-3.26.0-3 [0] should now be in rawhide. Closing.

[0] https://koji.fedoraproject.org/koji/buildinfo?buildID=1153458


Note You need to log in before you can comment on or make changes to this bug.